.adver-hover *,
.adver-hover *:before,
.adver-hover *:after {
  box-sizing: border-box;
  transition: all 0.45s ease;
}

.adver-hover {
  position: relative;
  overflow: hidden;
  width: 100%;
  max-width: 100%;
  min-width: 230px;
  font-family: "Source Sans Pro", sans-serif;
  color: #fff;
  font-size: 16px;
  margin: 0;
  text-align: left;
  transform: translateZ(0);
}

.adver-hover:hover .adver-hover__title,
.adver-hover:hover .adver-hover__text {
  transform: translateY(0);
  opacity: 0.9;
  transition-delay: 0.2s;
}

.adver-hover::before,
.adver-hover::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #e5eef1;
  opacity: 0.5;
  transition: all 0.45s ease;
}

.adver-hover::before {
  transform: skew(30deg) translateX(-80%);
}

.adver-hover::after {
  transform: skew(-10deg) translateX(-70%);
}

.adver-hover:hover::before {
  transform: skew(30deg) translateX(-20%);
  transition-delay: 0.05s;
}

.adver-hover:hover::after {
  transform: skew(-10deg) translateX(-10%);
}

.adver-hover:hover .adver-hover__figcaption::before {
  transform: skew(30deg) translateX(-40%);
  transition-delay: 0.15s;
}

.adver-hover:hover .adver-hover__figcaption::after {
  transform: skew(-10deg) translateX(-30%);
  transition-delay: 0.1s;
}

.adver-hover__image {
  backface-visibility: hidden;
  max-width: 100%;
  vertical-align: top;
}

.adver-hover__figcaption {
  position: absolute;
  top: 0px;
  bottom: 0px;
  left: 0px;
  right: 0px;
  z-index: 1;
  bottom: 0;
  padding: 25px 40% 25px 20px;
}

.adver-hover__figcaption::before,
.adver-hover__figcaption::after {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #02aeb3;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.7);
  content: "";
  opacity: 0.5;
  z-index: -1;
}

.adver-hover__figcaption::before {
  transform: skew(30deg) translateX(-100%);
}

.adver-hover__figcaption::after {
  transform: skew(-30deg) translateX(-90%);
}

.adver-hover__title,
.adver-hover__text {
  margin: 0;
  opacity: 0;
  letter-spacing: 1px;
}

.adver-hover__title {
  font-family: "Teko", sans-serif;
  font-size: 36px;
  font-weight: 700;
  line-height: 1em;
  text-transform: uppercase;
}

.adver-hover__text {
  font-size: 0.9em;
}

.adver-hover__link {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}


.floating-image-container {
  pointer-events: none; /* Optional: Kein Einfluss auf Interaktionen */
}

.floating-image {
  animation: float 4s ease-in-out infinite;
  display: block;
}

/* Schwebeeffekt */
@keyframes float {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-15px);
  }
  100% {
    transform: translateY(0px);
  }
}

.glow-image {
  animation: glowRGB 8s linear infinite, float 5s ease-in-out infinite;
  display: block;
  transition: filter 0.5s ease;
  max-height: 70%;
}

@keyframes glowRGB {
  0% {
    filter: drop-shadow(0 0 5px hsl(0, 100%, 60%))
            drop-shadow(0 0 10px hsl(0, 100%, 60%))
            drop-shadow(0 0 15px hsl(0, 100%, 60%));
  }
  25% {
    filter: drop-shadow(0 0 5px hsl(120, 100%, 60%))
            drop-shadow(0 0 10px hsl(120, 100%, 60%))
            drop-shadow(0 0 15px hsl(120, 100%, 60%));
  }
  50% {
    filter: drop-shadow(0 0 5px hsl(240, 100%, 60%))
            drop-shadow(0 0 10px hsl(240, 100%, 60%))
            drop-shadow(0 0 15px hsl(240, 100%, 60%));
  }
  75% {
    filter: drop-shadow(0 0 5px hsl(300, 100%, 60%))
            drop-shadow(0 0 10px hsl(300, 100%, 60%))
            drop-shadow(0 0 15px hsl(300, 100%, 60%));
  }
  100% {
    filter: drop-shadow(0 0 5px hsl(0, 100%, 60%))
            drop-shadow(0 0 10px hsl(0, 100%, 60%))
            drop-shadow(0 0 15px hsl(0, 100%, 60%));
  }
}
